1
Fork 0

shellcheck

nix
Motiejus Jakštys 2022-04-18 12:35:14 +03:00
parent 486a26a196
commit d2af022174
1 changed files with 2 additions and 1 deletions

View File

@ -4,7 +4,8 @@ set -xeuo pipefail
parent_ref=$(git rev-parse HEAD)
cd "$(git rev-parse --show-toplevel)"
./release --nosign v99.0
trap "git tag -d v99.0; git reset --hard $parent_ref" EXIT
cleanup() { git tag -d v99.0; git reset --hard "$parent_ref"; }
trap cleanup EXIT
want=" 1 file changed, 2 insertions(+), 2 deletions(-)"
got=$(git show --shortstat HEAD | tail -1)